### Function

# GLib dataset_id_remove_no_notify

#### Declaration [src]

    gpointer
    g_dataset_id_remove_no_notify (
      gconstpointer dataset_location,
      GQuark key_id
    )

#### Description [src]

Removes an element, without calling its destroy notification function.

This function is not directly available to language bindings.

#### Parameters

`dataset_location`

  Type: `gconstpointer`

  The location identifying the dataset.

  The data is owned by the caller of the function.

`key_id`

  Type: `GQuark`

  The `GQuark` ID identifying the data element.

#### Return value

Type: `gpointer`

The data previously stored at `key_id`, or `NULL` if none.

The data is owned by the called function.
The return value can be `NULL`.